// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosBankIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosBankIdentPlugin", targets: ["WebIdIosBankIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "XS2AiOS",
            url: "https://github.com/FinTecSystems/xs2a-ios",
            .exact("2.0.0")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("12.2.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdIosBankIdentPlugin/10.3.0/WebIdIosBankIdentPlugin.framework-v10.3.0-SNAPSHOT-348.zip",
            checksum: "6541051071ce3033c3aeffdaaeb329ddaf6e1e2e366b407d9cb0a57512912f16"
        ),
        .target(
            name: "WebIdIosBankIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdIosBankIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "XS2AiOS", package: "XS2AiOS"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
